Subject: Re: bug#21234: 25.0.50; emacs hangs in XIfEvent

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Aug 2015 18:20:13 +0300

> From: Nicolas Richard <[email-masked]>
> Date: Tue, 11 Aug 2015 14:13:19 +0200
> 
> I regularly (a few times every week or so) have an emacs that is not
> responding. It seems to happen in a function (outside emacs) named
> XIfEvent, i.e. if I do "fin" in gdb, it'll work until I get to XIfEvent.
> 
> It happens on my laptop but I don't think I had the problem on my
> desktop even though I use a similar setup there. Here's a full bt :
> 
> #0  0xb76fe428 in __kernel_vsyscall ()
> No symbol table info available.
> #1  0xb67c3c8b in poll () at ../sysdeps/unix/syscall-template.S:81
> No locals.
> #2  0xb667e3a8 in ?? () from /usr/lib/i386-linux-gnu/libxcb.so.1
> No symbol table info available.
> #3  0xb6680394 in xcb_wait_for_event () from /usr/lib/i386-linux-gnu/libxcb.so.1

There are a few similar bug reports already, for example #20036 and
#20134.